Navigation Menu

Skip to content

Instantly share code, notes, and snippets.

@vfonic
Last active May 28, 2017 07:59
Show Gist options
  • Star 0 You must be signed in to star a gist
  • Fork 0 You must be signed in to fork a gist
  • Save vfonic/e57fa99f98893a8567f2913043bb5bb3 to your computer and use it in GitHub Desktop.
Save vfonic/e57fa99f98893a8567f2913043bb5bb3 to your computer and use it in GitHub Desktop.

Environment

Bundler   1.15.0
Rubygems  2.6.10
Ruby      2.4.0p0 (2016-12-24 revision 57164) [x86_64-darwin16]
GEM_HOME  /Users/viktorfonic/.rvm/gems/ruby-2.4.0
GEM_PATH  /Users/viktorfonic/.rvm/gems/ruby-2.4.0:/Users/viktorfonic/.rvm/gems/ruby-2.4.0@global
RVM       1.29.1 (latest)
Git       2.13.0
Platform  x86_64-darwin-16
rubygems-bundler (1.4.4)

Bundler settings

build.nokogiri
  Set for the current user (/Users/viktorfonic/.bundle/config): "--use-system-libraries"
gem.coc
  Set for the current user (/Users/viktorfonic/.bundle/config): "true"
gem.mit
  Set for the current user (/Users/viktorfonic/.bundle/config): "true"
gem.test
  Set for the current user (/Users/viktorfonic/.bundle/config): "rspec"
github.https
  Set for the current user (/Users/viktorfonic/.bundle/config): "true"

Gemfile

Gemfile

source 'https://rubygems.org'

gem 'activeresource', github: 'rails/activeresource'
gem 'spree', github: 'spree/spree'
gem 'spree_auth_devise', github: 'spree/spree_auth_devise'

gemspec

Gemfile.lock

GIT
  remote: https://github.com/rails/activeresource.git
  revision: 60ed7896f39cfa33b9cb30284dea828d5d70e2aa
  specs:
    activeresource (5.0.0)
      activemodel (>= 5.0, < 6)
      activemodel-serializers-xml (~> 1.0)
      activesupport (>= 5.0, < 6)

GIT
  remote: https://github.com/spree/spree.git
  revision: 732307e46acdc7629d02836f24b9f609b964394e
  specs:
    spree (3.3.0.beta)
      spree_api (= 3.3.0.beta)
      spree_backend (= 3.3.0.beta)
      spree_cmd (= 3.3.0.beta)
      spree_core (= 3.3.0.beta)
      spree_frontend (= 3.3.0.beta)
      spree_sample (= 3.3.0.beta)
    spree_api (3.3.0.beta)
      rabl (~> 0.13.1)
      spree_core (= 3.3.0.beta)
      versioncake (~> 3.3.0)
    spree_backend (3.3.0.beta)
      bootstrap-sass (~> 3.3)
      jquery-rails (~> 4.1)
      jquery-ui-rails (~> 6.0.1)
      select2-rails (= 3.5.9.1)
      spree_api (= 3.3.0.beta)
      spree_core (= 3.3.0.beta)
    spree_cmd (3.3.0.beta)
      thor (~> 0.14)
    spree_core (3.3.0.beta)
      activemerchant (~> 1.66.0)
      acts-as-taggable-on (~> 5.0)
      acts_as_list (~> 0.8)
      awesome_nested_set (~> 3.1.3)
      cancancan (~> 2.0)
      carmen (~> 1.0.0)
      deface (~> 1.0)
      ffaker (~> 2.2)
      friendly_id (~> 5.2.1)
      highline (~> 1.6.18)
      kaminari (~> 1.0.1)
      monetize (~> 1.1)
      paperclip (~> 5.1.0)
      paranoia (~> 2.3.0)
      premailer-rails
      rails (~> 5.0.0)
      ransack (~> 1.8.0)
      responders
      sprockets-rails
      state_machines-activerecord (~> 0.4.1)
      stringex
      twitter_cldr (~> 4.3)
    spree_frontend (3.3.0.beta)
      bootstrap-sass (>= 3.3.5.1, < 3.4)
      canonical-rails (~> 0.2.0)
      jquery-rails (~> 4.1)
      spree_api (= 3.3.0.beta)
      spree_core (= 3.3.0.beta)
    spree_sample (3.3.0.beta)
      spree_core (= 3.3.0.beta)

GIT
  remote: https://github.com/spree/spree_auth_devise.git
  revision: 20343a1d33b736dd98905e386ad6530e37e9330c
  specs:
    spree_auth_devise (3.2.0.beta)
      devise (~> 4.3.0)
      devise-encryptable (= 0.1.2)
      spree_core (>= 3.2.0, < 4.0)

PATH
  remote: .
  specs:
    spree_shopify_importer (0.1.0)
      activeresource
      shopify_api (>= 4.2.2)
      spree_core (>= 3.1.0, < 4.0)

GEM
  remote: https://rubygems.org/
  specs:
    actioncable (5.0.3)
      actionpack (= 5.0.3)
      nio4r (>= 1.2, < 3.0)
      websocket-driver (~> 0.6.1)
    actionmailer (5.0.3)
      actionpack (= 5.0.3)
      actionview (= 5.0.3)
      activejob (= 5.0.3)
      mail (~> 2.5, >= 2.5.4)
      rails-dom-testing (~> 2.0)
    actionpack (5.0.3)
      actionview (= 5.0.3)
      activesupport (= 5.0.3)
      rack (~> 2.0)
      rack-test (~> 0.6.3)
      rails-dom-testing (~> 2.0)
      rails-html-sanitizer (~> 1.0, >= 1.0.2)
    actionview (5.0.3)
      activesupport (= 5.0.3)
      builder (~> 3.1)
      erubis (~> 2.7.0)
      rails-dom-testing (~> 2.0)
      rails-html-sanitizer (~> 1.0, >= 1.0.3)
    activejob (5.0.3)
      activesupport (= 5.0.3)
      globalid (>= 0.3.6)
    activemerchant (1.66.0)
      activesupport (>= 3.2.14, < 6.x)
      builder (>= 2.1.2, < 4.0.0)
      i18n (>= 0.6.9)
      nokogiri (~> 1.4)
    activemodel (5.0.3)
      activesupport (= 5.0.3)
    activemodel-serializers-xml (1.0.1)
      activemodel (> 5.x)
      activerecord (> 5.x)
      activesupport (> 5.x)
      builder (~> 3.1)
    activerecord (5.0.3)
      activemodel (= 5.0.3)
      activesupport (= 5.0.3)
      arel (~> 7.0)
    activesupport (5.0.3)
      concurrent-ruby (~> 1.0, >= 1.0.2)
      i18n (~> 0.7)
      minitest (~> 5.1)
      tzinfo (~> 1.1)
    acts-as-taggable-on (5.0.0)
      activerecord (>= 4.2.8)
    acts_as_list (0.9.5)
      activerecord (>= 3.0)
    addressable (2.5.1)
      public_suffix (~> 2.0, >= 2.0.2)
    appraisal (2.2.0)
      bundler
      rake
      thor (>= 0.14.0)
    arel (7.1.4)
    ast (2.3.0)
    autoprefixer-rails (7.1.1)
      execjs
    awesome_nested_set (3.1.3)
      activerecord (>= 4.0.0, < 5.2)
    bcrypt (3.1.11)
    bootstrap-sass (3.3.7)
      autoprefixer-rails (>= 5.2.1)
      sass (>= 3.3.4)
    builder (3.2.3)
    camertron-eprun (1.1.1)
    cancancan (2.0.0)
    canonical-rails (0.2.0)
      rails (>= 4.1, < 5.2)
    capybara (2.14.0)
      addressable
      mime-types (>= 1.16)
      nokogiri (>= 1.3.3)
      rack (>= 1.0.0)
      rack-test (>= 0.5.4)
      xpath (~> 2.0)
    capybara-screenshot (1.0.14)
      capybara (>= 1.0, < 3)
      launchy
    carmen (1.0.2)
      activesupport (>= 3.0.0)
    childprocess (0.7.0)
      ffi (~> 1.0, >= 1.0.11)
    cldr-plurals-runtime-rb (1.0.1)
    climate_control (0.2.0)
    cocaine (0.5.8)
      climate_control (>= 0.0.3, < 1.0)
    codeclimate-test-reporter (1.0.8)
      simplecov (<= 0.13)
    coderay (1.1.1)
    coffee-rails (4.2.2)
      coffee-script (>= 2.2.0)
      railties (>= 4.0.0)
    coffee-script (2.4.1)
      coffee-script-source
      execjs
    coffee-script-source (1.12.2)
    concurrent-ruby (1.0.5)
    crack (0.4.3)
      safe_yaml (~> 1.0.0)
    css_parser (1.5.0)
      addressable
    database_cleaner (1.6.1)
    deface (1.2.0)
      nokogiri (~> 1.6)
      polyglot
      rails (>= 4.1)
      rainbow (>= 2.1.0)
    devise (4.3.0)
      bcrypt (~> 3.0)
      orm_adapter (~> 0.1)
      railties (>= 4.1.0, < 5.2)
      responders
      warden (~> 1.2.3)
    devise-encryptable (0.1.2)
      devise (>= 2.1.0)
    diff-lcs (1.3)
    docile (1.1.5)
    erubis (2.7.0)
    execjs (2.7.0)
    factory_girl (4.8.0)
      activesupport (>= 3.0.0)
    factory_girl_rails (4.8.0)
      factory_girl (~> 4.8.0)
      railties (>= 3.0.0)
    ffaker (2.5.0)
    ffi (1.9.18)
    formatador (0.2.5)
    friendly_id (5.2.1)
      activerecord (>= 4.0.0)
    globalid (0.4.0)
      activesupport (>= 4.2.0)
    guard (2.14.1)
      formatador (>= 0.2.4)
      listen (>= 2.7, < 4.0)
      lumberjack (~> 1.0)
      nenv (~> 0.1)
      notiffany (~> 0.0)
      pry (>= 0.9.12)
      shellany (~> 0.0)
      thor (>= 0.18.1)
    guard-bundler (2.1.0)
      bundler (~> 1.0)
      guard (~> 2.2)
      guard-compat (~> 1.1)
    guard-compat (1.2.1)
    guard-rspec (4.7.3)
      guard (~> 2.1)
      guard-compat (~> 1.1)
      rspec (>= 2.99.0, < 4.0)
    guard-rubocop (1.2.0)
      guard (~> 2.0)
      rubocop (~> 0.20)
    guard-spring (1.1.1)
      guard (~> 2.0)
      guard-compat (~> 1.1)
      spring
    hashdiff (0.3.4)
    highline (1.6.21)
    htmlentities (4.3.4)
    i18n (0.8.1)
    jquery-rails (4.3.1)
      rails-dom-testing (>= 1, < 3)
      railties (>= 4.2.0)
      thor (>= 0.14, < 2.0)
    jquery-ui-rails (6.0.1)
      railties (>= 3.2.16)
    json (2.1.0)
    kaminari (1.0.1)
      activesupport (>= 4.1.0)
      kaminari-actionview (= 1.0.1)
      kaminari-activerecord (= 1.0.1)
      kaminari-core (= 1.0.1)
    kaminari-actionview (1.0.1)
      actionview
      kaminari-core (= 1.0.1)
    kaminari-activerecord (1.0.1)
      activerecord
      kaminari-core (= 1.0.1)
    kaminari-core (1.0.1)
    launchy (2.4.3)
      addressable (~> 2.3)
    listen (3.1.5)
      rb-fsevent (~> 0.9, >= 0.9.4)
      rb-inotify (~> 0.9, >= 0.9.7)
      ruby_dep (~> 1.2)
    loofah (2.0.3)
      nokogiri (>= 1.5.9)
    lumberjack (1.0.12)
    mail (2.6.5)
      mime-types (>= 1.16, < 4)
    method_source (0.8.2)
    mime-types (3.1)
      mime-types-data (~> 3.2015)
    mime-types-data (3.2016.0521)
    mimemagic (0.3.2)
    mini_portile2 (2.1.0)
    minitest (5.10.2)
    monetize (1.7.0)
      money (~> 6.9)
    money (6.9.0)
      i18n (>= 0.6.4, < 0.9)
    mysql2 (0.4.6)
    nenv (0.3.0)
    nio4r (2.0.0)
    nokogiri (1.7.2)
      mini_portile2 (~> 2.1.0)
    notiffany (0.1.1)
      nenv (~> 0.1)
      shellany (~> 0.0)
    orm_adapter (0.5.0)
    paperclip (5.1.0)
      activemodel (>= 4.2.0)
      activesupport (>= 4.2.0)
      cocaine (~> 0.5.5)
      mime-types
      mimemagic (~> 0.3.0)
    parallel (1.11.2)
    paranoia (2.3.1)
      activerecord (>= 4.0, < 5.2)
    parser (2.4.0.0)
      ast (~> 2.2)
    pg (0.20.0)
    polyamorous (1.3.1)
      activerecord (>= 3.0)
    polyglot (0.3.5)
    powerpack (0.1.1)
    premailer (1.10.4)
      addressable
      css_parser (>= 1.4.10)
      htmlentities (>= 4.0.0)
    premailer-rails (1.9.6)
      actionmailer (>= 3, < 6)
      premailer (~> 1.7, >= 1.7.9)
    pry (0.10.4)
      coderay (~> 1.1.0)
      method_source (~> 0.8.1)
      slop (~> 3.4)
    pry-rails (0.3.6)
      pry (>= 0.10.4)
    public_suffix (2.0.5)
    rabl (0.13.1)
      activesupport (>= 2.3.14)
    rack (2.0.3)
    rack-test (0.6.3)
      rack (>= 1.0)
    rails (5.0.3)
      actioncable (= 5.0.3)
      actionmailer (= 5.0.3)
      actionpack (= 5.0.3)
      actionview (= 5.0.3)
      activejob (= 5.0.3)
      activemodel (= 5.0.3)
      activerecord (= 5.0.3)
      activesupport (= 5.0.3)
      bundler (>= 1.3.0, < 2.0)
      railties (= 5.0.3)
      sprockets-rails (>= 2.0.0)
    rails-dom-testing (2.0.3)
      activesupport (>= 4.2.0)
      nokogiri (>= 1.6)
    rails-html-sanitizer (1.0.3)
      loofah (~> 2.0)
    railties (5.0.3)
      actionpack (= 5.0.3)
      activesupport (= 5.0.3)
      method_source
      rake (>= 0.8.7)
      thor (>= 0.18.1, < 2.0)
    rainbow (2.2.2)
      rake
    rake (12.0.0)
    ransack (1.8.2)
      actionpack (>= 3.0)
      activerecord (>= 3.0)
      activesupport (>= 3.0)
      i18n
      polyamorous (~> 1.3)
    rb-fsevent (0.9.8)
    rb-inotify (0.9.8)
      ffi (>= 0.5.0)
    responders (2.4.0)
      actionpack (>= 4.2.0, < 5.3)
      railties (>= 4.2.0, < 5.3)
    rspec (3.6.0)
      rspec-core (~> 3.6.0)
      rspec-expectations (~> 3.6.0)
      rspec-mocks (~> 3.6.0)
    rspec-core (3.6.0)
      rspec-support (~> 3.6.0)
    rspec-expectations (3.6.0)
      diff-lcs (>= 1.2.0, < 2.0)
      rspec-support (~> 3.6.0)
    rspec-mocks (3.6.0)
      diff-lcs (>= 1.2.0, < 2.0)
      rspec-support (~> 3.6.0)
    rspec-rails (3.6.0)
      actionpack (>= 3.0)
      activesupport (>= 3.0)
      railties (>= 3.0)
      rspec-core (~> 3.6.0)
      rspec-expectations (~> 3.6.0)
      rspec-mocks (~> 3.6.0)
      rspec-support (~> 3.6.0)
    rspec-support (3.6.0)
    rubocop (0.49.0)
      parallel (~> 1.10)
      parser (>= 2.3.3.1, < 3.0)
      powerpack (~> 0.1)
      rainbow (>= 1.99.1, < 3.0)
      ruby-progressbar (~> 1.7)
      unicode-display_width (~> 1.0, >= 1.0.1)
    rubocop-rspec (1.15.1)
      rubocop (>= 0.42.0)
    ruby-progressbar (1.8.1)
    ruby_dep (1.5.0)
    rubyzip (1.2.1)
    safe_yaml (1.0.4)
    sass (3.4.24)
    sass-rails (5.0.6)
      railties (>= 4.0.0, < 6)
      sass (~> 3.1)
      sprockets (>= 2.8, < 4.0)
      sprockets-rails (>= 2.0, < 4.0)
      tilt (>= 1.1, < 3)
    select2-rails (3.5.9.1)
      thor (~> 0.14)
    selenium-webdriver (3.4.0)
      childprocess (~> 0.5)
      rubyzip (~> 1.0)
      websocket (~> 1.0)
    shellany (0.0.1)
    shopify_api (4.8.0)
      activeresource (>= 3.0.0)
      rack
    shoulda-matchers (3.1.1)
      activesupport (>= 4.0.0)
    simplecov (0.13.0)
      docile (~> 1.1.0)
      json (>= 1.8, < 3)
      simplecov-html (~> 0.10.0)
    simplecov-html (0.10.1)
    slop (3.6.0)
    spring (2.0.2)
      activesupport (>= 4.2)
    spring-commands-rspec (1.0.4)
      spring (>= 0.9.1)
    spring-commands-rubocop (0.2.0)
      spring (>= 1.0, < 3.0)
    sprockets (3.7.1)
      concurrent-ruby (~> 1.0)
      rack (> 1, < 3)
    sprockets-rails (3.2.0)
      actionpack (>= 4.0)
      activesupport (>= 4.0)
      sprockets (>= 3.0.0)
    sqlite3 (1.3.13)
    state_machines (0.4.0)
    state_machines-activemodel (0.4.1)
      activemodel (>= 4.1, < 5.2)
      state_machines (>= 0.4.0)
    state_machines-activerecord (0.4.1)
      activerecord (>= 4.1, < 5.2)
      state_machines-activemodel (>= 0.3.0)
    stringex (2.7.1)
    thor (0.19.4)
    thread_safe (0.3.6)
    tilt (2.0.7)
    twitter_cldr (4.4.0)
      camertron-eprun
      cldr-plurals-runtime-rb (~> 1.0)
      tzinfo
    tzinfo (1.2.3)
      thread_safe (~> 0.1)
    unicode-display_width (1.2.1)
    vcr (3.0.3)
    versioncake (3.3.0)
      actionpack (>= 3.2)
      activesupport (>= 3.2)
      railties (>= 3.2)
      tzinfo
    warden (1.2.7)
      rack (>= 1.0)
    webmock (3.0.1)
      addressable (>= 2.3.6)
      crack (>= 0.3.2)
      hashdiff
    websocket (1.2.4)
    websocket-driver (0.6.5)
      websocket-extensions (>= 0.1.0)
    websocket-extensions (0.1.2)
    xpath (2.1.0)
      nokogiri (~> 1.3)

PLATFORMS
  ruby

DEPENDENCIES
  activeresource!
  appraisal
  capybara
  capybara-screenshot
  codeclimate-test-reporter
  coffee-rails
  database_cleaner
  factory_girl_rails
  ffaker
  guard
  guard-bundler
  guard-rspec
  guard-rubocop
  guard-spring
  mysql2
  pg
  pry-rails
  rspec-rails
  rubocop-rspec
  sass-rails
  selenium-webdriver
  shoulda-matchers
  simplecov
  spree!
  spree_auth_devise!
  spree_shopify_importer!
  spring-commands-rspec
  spring-commands-rubocop
  sqlite3
  vcr
  webmock

BUNDLED WITH
   1.14.6

Gemspecs

spree_shopify_importer.gemspec

# encoding: UTF-8

lib = File.expand_path('../lib/', __FILE__)
$LOAD_PATH.unshift lib unless $LOAD_PATH.include?(lib)

require 'spree_shopify_importer/version'

# rubocop:disable Metrics/BlockLength
Gem::Specification.new do |s|
  s.platform    = Gem::Platform::RUBY
  s.name        = 'spree_shopify_importer'
  s.version     = SpreeShopifyImporter::VERSION
  s.summary     = 'Import your old Shopify store into spree'
  s.description = 'Import Shopify store to spree for easier migration.'
  s.required_ruby_version = '>= 2.2.2'

  s.authors   = ['Viktor Fonic']
  s.email     = ['viktor.fonic@gmail.com']
  s.homepage  = 'https://github.com/spark-solutions/spree_shopify_importer'
  s.license = 'BSD-3-Clause'

  # s.files       = `git ls-files`.split("\n")
  # s.test_files  = `git ls-files -- {test,spec,features}/*`.split("\n")
  s.require_path = 'lib'
  s.requirements << 'none'

  s.add_dependency 'spree_core', '>= 3.1.0', '< 4.0'
  s.add_dependency 'shopify_api', '>= 4.2.2'
  s.add_dependency 'activeresource'

  s.add_development_dependency 'appraisal'
  s.add_development_dependency 'capybara'
  s.add_development_dependency 'capybara-screenshot'
  s.add_development_dependency 'codeclimate-test-reporter'
  s.add_development_dependency 'coffee-rails'
  s.add_development_dependency 'database_cleaner'
  s.add_development_dependency 'factory_girl_rails'
  s.add_development_dependency 'ffaker'
  s.add_development_dependency 'guard'
  s.add_development_dependency 'guard-bundler'
  s.add_development_dependency 'guard-rspec'
  s.add_development_dependency 'guard-rubocop'
  s.add_development_dependency 'guard-spring'
  s.add_development_dependency 'mysql2'
  s.add_development_dependency 'pg'
  s.add_development_dependency 'pry-rails'
  s.add_development_dependency 'rspec-rails'
  s.add_development_dependency 'rubocop-rspec'
  s.add_development_dependency 'sass-rails'
  s.add_development_dependency 'selenium-webdriver'
  s.add_development_dependency 'shoulda-matchers'
  s.add_development_dependency 'simplecov'
  s.add_development_dependency 'sqlite3'
  s.add_development_dependency 'spring-commands-rspec'
  s.add_development_dependency 'spring-commands-rubocop'
  s.add_development_dependency 'vcr'
  s.add_development_dependency 'webmock'
end
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment